Subject: Re: bug#52051: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out)

From: Maxime Devos <[email-masked]>
Date: Tue, 21 Dec 2021 17:51:28 +0000

Leo Famulari schreef op di 21-12-2021 om 12:32 [-0500]:
> > A comment like 
> > 
> > > ;; Set timeout to a huge number (16.6 hours), because
> > > ;; upstream often sets timeouts low for spinning disks,
> > > ;; slow CPUs, etc.
> > > (limit [...] "60000")
> > 
> > could be useful (I'm assuming the timeout is in seconds here).
> 
> I suggest we wait until such drastic action is necessary. Otherwise
> we
> might be banging our heads against the wall in a few years, trying to
> debug something. Let's not rush to extremes :)

I don't think commenting new code is a drastic and extreme action.
I assume you were referring you were referring to the ‘16.6 hours’?
If so, just replace ‘16.6 hours’ by ‘one minute’, because it turns
out that 'auth_timeout' is in milliseconds and not seconds,
see <https://dbus.freedesktop.org/doc/dbus-daemon.1.html>.

Greetings,
Maxime.